Developer Documentation

Public Types | Public Member Functions | List of all members
OpenVolumeMesh::TetrahedralGeometryKernel< VecT, TopologyKernelT > Class Template Reference
Inheritance diagram for OpenVolumeMesh::TetrahedralGeometryKernel< VecT, TopologyKernelT >:

## Public Types
typedef VecT | PointT
typedef TopologyKernelT | KernelT
typedef GeometryKernel< VecT, TopologyKernelT > | ParentT
Public Types inherited from OpenVolumeMesh::GeometryKernel< VecT, TopologyKernelT >
typedef VecT | PointT
typedef TopologyKernelT | KernelT

## Public Member Functions
| TetrahedralGeometryKernel ()
| Constructor.
| ~TetrahedralGeometryKernel ()
| Destructor.
VertexHandle | split_edge (HalfEdgeHandle heh, double alpha=0.5)
VertexHandle | split_edge (EdgeHandle eh)
VertexHandle | split_face (FaceHandle fh, PointT pos)
VertexHandle | split_face (FaceHandle fh)
Public Member Functions inherited from OpenVolumeMesh::GeometryKernel< VecT, TopologyKernelT >
| GeometryKernel ()=default
| Constructor.
| ~GeometryKernel () override=default
| Destructor.
template<class OtherTopoKernel >
void | assign (const GeometryKernel< VecT, OtherTopoKernel > *other)
VertexHandle | add_vertex () override
| Override of empty add_vertex function.
VertexHandle | add_vertex (const VecT &_p)
| Add a geometric point to the mesh.
void | set_vertex (const VertexHandle &_vh, const VecT &_p)
| Set the coordinates of point _vh.
const VecT & | vertex (const VertexHandle &_vh) const
| Get point _vh's coordinates.
VertexIter | delete_vertex (const VertexHandle &_h) override
void | collect_garbage () override
void | swap_vertex_indices (VertexHandle _h1, VertexHandle _h2) override
void | clear (bool _clearProps=true) override
PointT::value_type | length (const HalfEdgeHandle &_heh) const
PointT::value_type | length (const EdgeHandle &_eh) const
PointT | vector (const HalfEdgeHandle &_heh) const
PointT | vector (const EdgeHandle &_eh) const
PointT | barycenter (const EdgeHandle &_eh) const
PointT | barycenter (const FaceHandle &_fh) const
PointT | barycenter (const CellHandle &_ch) const
void | clone_vertices (std::vector< VecT > &_copy) const
void | swap_vertices (std::vector< VecT > &_copy)

## Additional Inherited Members
Protected Member Functions inherited from OpenVolumeMesh::GeometryKernel< VecT, TopologyKernelT >
void | delete_multiple_vertices (const std::vector< bool > &_tag) override

## Detailed Description

### template<class VecT, class TopologyKernelT = TetrahedralMeshTopologyKernel>
class OpenVolumeMesh::TetrahedralGeometryKernel< VecT, TopologyKernelT >

Definition at line 56 of file TetrahedralGeometryKernel.hh.

The documentation for this class was generated from the following file:

- Type-OpenVolumeMesh/libs/OpenVolumeMesh/src/OpenVolumeMesh/Mesh/TetrahedralGeometryKernel.hh